Package org.bukkit.block.data.type

# Enum Class Bamboo.Leaves

java.lang.Object
java.lang.Enum<Bamboo.Leaves>
org.bukkit.block.data.type.Bamboo.Leaves

All Implemented Interfaces:
  `Serializable`, `Comparable<Bamboo.Leaves>`, `Constable`

Enclosing interface:
  Bamboo

public static enum Bamboo.Leaves extends Enum<Bamboo.Leaves>
Bamboo leaf size.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LARGE`
Large leaves.
`NONE`
No leaves.
`SMALL`
Small leaves.

## Method Summary

Modifier and Type
Method
Description
`static Bamboo.Leaves`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Bamboo.Leaves[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Bamboo.Leaves NONE
No leaves.

### SMALL

public static final Bamboo.Leaves SMALL
Small leaves.

### LARGE

public static final Bamboo.Leaves LARGE
Large leaves.

## Method Details

### values

public static Bamboo.Leaves[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Bamboo.Leaves valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null